<?php 
require_once("conf/syno_conf.php");

SYNOPHOTOCheck_Netbios_Name("/photo/index.php");

if (!SYNOPHOTOServiceEnabledCheck($SYNO_DEF_CNF_FILE, "supportphoto")){
    header("Location: unexists.php");
    exit;
} elseif (!SYNOPHOTOServiceEnabledCheck($SYNO_CNF_FILE, "runphoto")){
    header("Location: report.php?nosrv=true&msgkey=photo_str_service_disabled");
    exit;
}

//check if user exists in db
if (isset($_SESSION['reg_syno_user'])) {
	if (!SYNOPHOTOCheck_User_Exist($_SESSION['reg_syno_user'])) 
	{
		header("Content-type:text/html; charset=utf-8");
		echo "<script>";
		echo "alert('".addslashes($photo_str_useracct_removed)."');";
        echo "location = \"/blog/login.php?action=logout&redirect=photo\";";
		echo "</script>";
		exit;
	}
}

if (isset($_SESSION['CurrSubDirList'])) {
    unset($_SESSION['CurrSubDirList']);
}

$server_name = SYNOPHOTOGetHostName();

if (strlen($SYNO_PHOTO_CURR_DIR)==0){
	//@session_destroy();
	unset($_SESSION['CurrDirList']);
} else {
	if (!is_dir(SYNOPHOTOFullPathGet($SYNO_PHOTO_CURR_DIR))) {
		SYNOPHOTOPathReset();
	}
}

// Parse the gallery_template.html file
$template_file = $SYNO_THEME_DIR."/".$SYNO_TEMPLATE_FILE;
$gallery_template = fread(fopen($template_file, 'r'), @filesize($template_file));
        
//{META_LIST}
$gallery_template = SYNOPHOTOPrintTemplate($gallery_template, '{META_LIST}', '');        
        
//{SCRIPT_LIST}
$gallery_template = SYNOPHOTOPrintTemplate($gallery_template, '{SCRIPT_LIST}', '');        

//list scripts
?>
<SCRIPT LANGUAGE="JAVASCRIPT" SRC="javascript/synophoto.js" TYPE="text/javascript"></SCRIPT>
<SCRIPT LANGUAGE="JAVASCRIPT" SRC="javascript/synophotoLayoutCheck.js" TYPE="text/javascript"></SCRIPT>
<SCRIPT LANGUAGE="JAVASCRIPT" SRC="javascript/ajax.js" TYPE="text/javascript"></SCRIPT>
<SCRIPT>
var lock=0;
var org_value="";
function AlbumTitleChange(div)
{
	org_value = div.innerHTML;
    
	if (lock) {
		return;
	} else if (div.innerHTML.indexOf('album_title_form') != -1) {
		return;
	} else {
		lock = 1;
	}
    
	if ((org_value == '<?=addslashes($photo_str_add_title)?>')) {
		org_value = '';
	}

    org_value = org_value.replace(/"/ig, "&quot;"); 
	div.innerHTML = '<form name="album_title_form" onSubmit="AlbumSubmit(this, \'title\', this.title.value); return false;">' +
			'<input type="hidden" name="div_id" value="' + div.id + '">' +
			'<input type="text" id="title'+div.id+'" name="title" maxlength="<?=$SYNO_PHOTO_TITLE_MAXLEN;?>" value="' + org_value + '" onFocus="this.select();"><br>' +
			'<input type="Submit" value="<?=addslashes($photo_str_btnOK)?>">&nbsp;&nbsp;'+
			'<input type="button" value="<?=addslashes($photo_str_btnCancel)?>" onClick="AlbumTitleReset(\''+div.id+'\', \''+escape(org_value)+'\');">' +
			'</form>';
    document.getElementById('title'+div.id).select();
    
	lock = 0;
}
          
// Reset album description to uneditable
function AlbumTitleReset(id, org_value)
{
	var div = document.getElementById(id);
	
	if (org_value == '') {
		org_value = '<?=addslashes($photo_str_add_title)?>';
	} else {
		org_value = unescape(org_value);
	}
    div.style.background='#FFFFFF';
	div.innerHTML = org_value;	
}

function AlbumSubmit(form, key, value)
{
	var divid = form.div_id.value;
	var div = document.getElementById(divid);
	var album_id = divid.substr(divid.length-1); // 4=strlen('div_')
    
    if (divid.substr(0, 13) == "divAlbumTitle") {
        album_id = divid.substr(13);
    } else {
        album_id = divid.substr(12);
    }
    if (lock) {
		return;
	} else if (value.length > 1000) {
        alert('<?=addslashes($photo_str_err_exceed_max_char)?>');
        return;
    }
	lock = 1;

    div.innerHTML = '<?=addslashes($photo_str_saving)?>';
    
	value = value.replace(/%/g, "%25"); // Replace the % to %25.
	value = value.replace(/&/g, "%26"); // Replace the & to %26.
	value = value.replace(/=/g, "%3D"); // Replace the = to %3D.
    value = value.replace(/\+/g, "%2B"); // Replace the + to %2B.
	var param = 'album_id=' + album_id + '&' + key + '=' + value;

	current_div = div;

	if (AjaxHTTPInit()) {
		AjaxHTTPPost("ajax_handler.php", param, AlbumValueUpdate);
	}
}

function AlbumValueUpdate() {
    
	if (HttpRequest.readyState == 4) {
        if (HttpRequest.status == 200 || !HttpRequest.status) {
			var response = HttpRequest.responseText;            
            if (response == "&nbsp;") {
                if (current_div.id.indexOf("Title") != -1) {
                    response = '<?=addslashes($photo_str_add_title)?>';
                } else {
                    response = '<?=addslashes($photo_str_add_description)?>';
                }
            }
			if (current_div && current_div.innerHTML) {
				current_div.innerHTML=response;
				current_div.style.background='#FFFFFF';
			} else {
				alert(response);
			}
		} else {
            alert("Error: status code is " + HttpRequest.status);
		}
	}
    
	lock = 0;
}

function AlbumDescriptionChange(div)
{
	org_value = div.innerHTML;

	if (lock) {
		return;
	} else if (div.innerHTML.indexOf('album_description_form') != -1) {
		return;
	} else {
		lock = 1;
	}
	if ((org_value == '<?=addslashes($photo_str_add_description)?>')) {
		org_value = '';
	}
	org_value = org_value.replace(/<br>/ig,"\n");

	div.innerHTML = '<form name="album_description_form" onSubmit="AlbumSubmit(this, \'description\', this.description.value); return false;">' +
			'<input type="hidden" name="div_id" value="' + div.id + '">' +
			'<textarea id="description'+div.id+'" name="description" rows="5" cols="18" onFocus="this.select();">' + org_value + '</textarea><br>' +
			'<input type="Submit" value="<?=addslashes($photo_str_btnOK)?>">&nbsp;&nbsp;'+
			'<input type="button" value="<?=addslashes($photo_str_btnCancel)?>" onClick="AlbumDescriptionReset(\''+div.id+'\', \''+escape(org_value)+'\');">' +
			'</form>';
    document.getElementById('description'+div.id).select();
	lock = 0;
}
          
// Reset album description to uneditable
function AlbumDescriptionReset(id, org_value)
{
	var div = document.getElementById(id);
	
	if (org_value == '') {
		org_value = '<?=addslashes($photo_str_add_description)?>';
	} else {
		org_value = unescape(org_value);
		org_value = org_value.replace(/\n/ig, "<br>");
	}
    div.style.background='#FFFFFF';
	div.innerHTML = org_value;	
}
</SCRIPT>
<?php
        //{CSS_LIST}
        $gallery_template = SYNOPHOTOPrintTemplate($gallery_template, '{CSS_LIST}', '');

//list css
	 $SYNO_PHOTO_BROWSER_TYPE = SYNOPHOTOClienAgentGet();
	if (($SYNO_PHOTO_BROWSER_TYPE==($SYNO_PHOTO_FLAG_PLMAC|$SYNO_PHOTO_FLAG_APPIE)) || ($SYNO_PHOTO_BROWSER_TYPE==($SYNO_PHOTO_FLAG_PLWINDOWS|$SYNO_PHOTO_FLAG_APPNETSCAPE))){
?>
	<link rel="stylesheet" href="themes/demo/style_mac.css">
<?php
	} else {
?>
	<link rel="stylesheet" href="themes/demo/style.css">
<?php
	}
?>

<?php

//{HOME_LINK}, {HOME_ICON}, {HOME_ALT}
    $gallery_template = SYNOPHOTOPrintTemplate($gallery_template, '{HOME_LINK}', $SYNO_PHOTO_HOME);
    $gallery_template = SYNOPHOTOPrintTemplate($gallery_template, '{HOME_ICON}', $SYNO_PHOTO_HOME_ICON);
    $gallery_template = SYNOPHOTOPrintTemplate($gallery_template, '{HOME_ALT}', $photo_str_home);
    $gallery_template = SYNOPHOTOPrintTemplate($gallery_template, '{HOME_TITLE}', $photo_str_home);

//{WELCOME_TITLE}	
    if (isset($_SESSION['reg_syno_user'])) {
        $welcome_text = $photo_str_welcome.", ".ucfirst($_SESSION['reg_syno_user']);
    }
    elseif (isset($_SESSION['admin_syno_user'])) {
        $welcome_text = $photo_str_welcome.", ".ucfirst("admin");	
    }
    else {
        $welcome_text = "";
    }
    $gallery_template = SYNOPHOTOPrintTemplate($gallery_template, '{WELCOME_TITLE}', $welcome_text);

//{TOP_HEADER_LINK}
    $link = "<a href='/photo'>".$photo_str_photo."</a> | ";
    
	if(SYNOPHOTOIsEnableBlog()) {
		$link = $link."<a href='/blog'>".$photo_str_blog."</a> | ";
	}

    if (isset($_SESSION['admin_syno_user']) || isset($_SESSION['reg_syno_user'])) {
        $link = $link."<a href='/blog/admin_index.php'>".$photo_str_management."</a> | ";
        $link = $link."<a href='/blog/login.php?action=logout&redirect=photo'>".$photo_logout."</a>";   
    } else {
        $link = $link."<a href='login.php'>".$photo_login."</a>";
	}

    $gallery_template = SYNOPHOTOPrintTemplate($gallery_template, '{TOP_HEADER_LINK}', $link);

    $gallery_template = SYNOPHOTOPrintTemplate($gallery_template, '{DIR_LINK}', "");

    //check latest photo albums
    SYNOPHOTOUpdate_Album();
    //load template
    $admin_template_file = $SYNO_PHOTO_HOME_HTML;
    $admin_content_template = fread(fopen($admin_template_file, 'r'), @filesize($admin_template_file));

    // Parse the template/album.html file
    $album_templ = $SYNO_PHOTO_ADMIN_ALBUMUI_PICS;
    $album_template = fread(fopen($album_templ, 'r'), @filesize($album_templ));
	
    //load differnt conditions for different users
    if (isset($_SESSION['admin_syno_user'])) {
        $query = "Select * from photo_share order by sharename asc";				
    }
    elseif (isset($_SESSION['reg_syno_user'])) {
        $query = "Select * from photo_share where shareid in (select shareid from photo_access_right where userid = ".$_SESSION['reg_syno_userid'].") or public = true order by sharename asc";				
    }
    else {
        $query = "Select * from photo_share where public = true order by sharename asc";
    }
    $result = pg_query($GLOBALS['dbconn'], $query);
	
    if (!$result) {
        $admin_content_template = SYNOPHOTOPrint_Result($photo_str_failed, $photo_str_err_dbquery." - ERR(1)", "admin_index.php");
    }
    else {
		
        $album_num = pg_num_rows($result);
		
        if ($album_num != 0) {

            $num_album = 1;
            $counter = 1;

            $_SESSION['accessible_dir'] = array();
            while ($share_list = pg_fetch_row($result)) 
            {				
                array_push($_SESSION['accessible_dir'], $share_list[1]);
            }

            pg_result_seek($result, 0);
			
            while ($share_list = pg_fetch_row($result)) 
            {
                unset($image_info);
                //load photo albums
                $tempstr_clone = $album_template;
                $albumlink = $SYNO_PHOTO_SELF."?currdir=".((strlen($SYNO_PHOTO_CURR_DIR)>0)?(SYNOPHOTOUrlEncode($SYNO_PHOTO_CURR_DIR."/".$share_list[1])):(SYNOPHOTOUrlEncode($share_list[1])));
                $albumid = "album".$counter;
		
                $albumtitle = htmlspecialchars($share_list[1]);				

                $albumname = "";
                unset($album_name_arr);
                $album_name_arr = array();
                $album_name_arr = explode(" ", $share_list[1]);
                for ($x=0;$x<count($album_name_arr); $x++) {
                    if (SYNOPHOTOUTF8Strlen($album_name_arr[$x])>$SYNO_PHOTO_DISPLAY_LEN_1){
                        $albumname = SYNOPHOTOUTF8Substr(htmlspecialchars($share_list[1]), 0, $SYNO_PHOTO_DISPLAY_LEN_1)."...";
                        break;
                    }
                }
                if ($albumname == "") {
                    $albumname = htmlspecialchars($share_list[1]);
                }
                
                $dirpath = "";
                $dirpath_tmp = "";
                $dirpath_new = "";
                //get album cover
                if ($share_list[6] != "" && @file_exists($share_list[6])) {
                    if (strncmp($share_list[6], "/volume", 7) == 0) {
                        $share_list[6] = substr($share_list[6], strlen("/volumeX/photo/"));
                    }
                    $dirpath = strstr($share_list[6], $share_list[1]);
                    $currname = substr(strrchr($dirpath, '/'), 1);
                    $dirpath = substr($dirpath, 0, strrpos($dirpath, '/'));
                } else {
                    if (strlen($SYNO_PHOTO_CURR_DIR)>0){
                        $dirpath_tmp = $SYNO_PHOTO_CURR_DIR."/".$share_list[1];
                    } else {
                        $dirpath_tmp = $share_list[1];
                    }
                    $currname = PhotoAlbumFirstPhotoGet($dirpath_tmp);
                    $dirpath_new = strstr($currname, $dirpath_tmp);    
                    $dirpath_new = substr($dirpath_new, 0, strrpos($dirpath_new, '/'));
                    $currname = basename($currname);
                    if ($dirpath_new == "") {
                        $dirpath = $dirpath_tmp;
                    } else {
                        $dirpath = $dirpath_new;
                    }                    
                }

                if(($cover = SYNOPhotoGetCover($dirpath)) != "") {
                    $currname = $cover;
                }

                $version = SYNOPHOTOGetPhotoVersion($dirpath."/".$currname);
                $albumsrc = $SYNO_PHOTO_RAND."?showfirst=true&currdir=".SYNOPHOTOUrlEncode($dirpath)."&currname=".SYNOPHOTOUrlEncode($currname)."&v=".$version;
                if ($_SESSION['syno_support_video']) {
                    $albumsrc.="&showvideo=true";
                }

                $dimension = "";
                if (strlen($currname) > 0) {                
                    if (SYNOPHOTOisOrigin(strtolower($currname)) != "") {
                        $image_info = @getImageSize(SYNOPHOTOFullPathGet($dirpath)."/".$currname);
                    } else {
                        $failed_path = SYNOPHOTOThumbFailPathGet($currname, 0, $dirpath);
                        $thumb_path = SYNOPHOTOThumbFullPathGet($currname, 0, $dirpath);
                        if (@file_exists($failed_path)) {
                            $image_info = @getImageSize($SYNO_PHOTO_QUES_ICON);
                        } elseif (!@file_exists($thumb_path)) {
                            $image_info = @getImageSize($SYNO_PHOTO_MAKE_THUMB_ICON);
                        } else {
                            $image_info = @getImageSize($thumb_path);
                        }
                    }
                }
                if (is_array($image_info)) {
                    if ($image_info[0]>$SYNO_PHOTO_THUMB_WIDTH && $image_info[1]>$SYNO_PHOTO_THUMB_HEIGHT){
                        if (($image_info[1]/$SYNO_PHOTO_THUMB_HEIGHT)<($image_info[0]/$SYNO_PHOTO_THUMB_WIDTH)){
                            $imgwidth = $SYNO_PHOTO_THUMB_WIDTH;
                            $imgheight = round($image_info[1]*($SYNO_PHOTO_THUMB_WIDTH/$image_info[0]));
                        } else {
                            $imgheight = $SYNO_PHOTO_THUMB_HEIGHT;
                            $imgwidth = round($image_info[0]*($SYNO_PHOTO_THUMB_HEIGHT/$image_info[1]));
                        }
                    } elseif ($image_info[1]>$SYNO_PHOTO_THUMB_HEIGHT){
                        $imgheight = $SYNO_PHOTO_THUMB_HEIGHT;
                        $imgwidth = round($image_info[0]*($SYNO_PHOTO_THUMB_HEIGHT/$image_info[1]));
                    } elseif ($image_info[0]>$SYNO_PHOTO_THUMB_WIDTH){
                        $imgwidth = $SYNO_PHOTO_THUMB_WIDTH;
                        $imgheight = round($image_info[1]*($SYNO_PHOTO_THUMB_WIDTH/$image_info[0]));
                    } else {
                        $imgwidth = $image_info[0];
                        $imgheight = $image_info[1];
                    }
                    $dimension = "HEIGHT=\"".$imgheight."\" WIDTH=\"".$imgwidth."\"";
                }

                $tempstr_clone = str_replace('{TOPLEFT_SRC}', $SYNO_PHOTO_TOP_LEFT, $tempstr_clone);
                $tempstr_clone = str_replace('{HORCENTER_SRC}', $SYNO_PHOTO_TOP_HORIZONTAL, $tempstr_clone);
                $tempstr_clone = str_replace('{TOPRIGHT_SRC}', $SYNO_PHOTO_TOP_RIGHT, $tempstr_clone);
                $tempstr_clone = str_replace('{LEFTCENTER_SRC}', $SYNO_PHOTO_LEFT_VERTICAL, $tempstr_clone);
                $tempstr_clone = str_replace('{RIGHTCENTER_SRC}', $SYNO_PHOTO_RIGHT_VERTICAL, $tempstr_clone);
                $tempstr_clone = str_replace('{BTMLEFT_SRC}', $SYNO_PHOTO_BOTTOM_LEFT, $tempstr_clone);
                $tempstr_clone = str_replace('{BTMHORCENTER_SRC}', $SYNO_PHOTO_BOTTOM_HORIZONTAL, $tempstr_clone);
                $tempstr_clone = str_replace('{BTMRIGHT_SRC}', $SYNO_PHOTO_BOTTOM_RIGHT, $tempstr_clone);

                $tempstr_clone = str_replace('{ALBUM_LINK}', $albumlink, $tempstr_clone);
                $tempstr_clone = str_replace('{ALBUM_SRC}', $albumsrc, $tempstr_clone);
                $tempstr_clone = str_replace('{ALBUM_ID}', $albumid, $tempstr_clone);
                $tempstr_clone = str_replace('{ALBUM_TITLE}', $albumtitle, $tempstr_clone);
                $tempstr_clone = str_replace('{ALBUM_ALT}', $albumtitle, $tempstr_clone);                
                $tempstr_clone = str_replace('{DIMENSION}', $dimension, $tempstr_clone);
				
                //close <tr> tag, insert new row				
                if ($num_album == 5) {
                    $num_album = 1;
                    $replace_content .= "</tr>";
                    $replace_content .= "<tr>";
                }
                else if ($num_album == 1) {
                    $replace_content .= "<tr>";
                }

                $replace_content .= "<td align='left' valign='top' width=\"200\">
					<table border='0' cellspacing='2' cellpadding='2' align='left'>
      				<tr>
        				<td valign='top'>$tempstr_clone</td>
                    </tr>
                    <tr><td>";
                //album title
                
                if ($share_list[2] != "") {
                    if (isset($_SESSION['admin_syno_user'])) {
                        $replace_content .= "<div id=\"divAlbumTitle".$share_list[0]."\" class=\"album_title\" onClick=\"AlbumTitleChange(this);\" ".
                            "onMouseOver=\"this.style.background='#FFFFCC'\"".
                            "onMouseOut=\"this.style.background='#FFFFFF'\">".$share_list[2]."</div>";
                    } else {
                        $replace_content .= "<div class=\"album_title\">".$share_list[2]."</div>";
                    }                    
                } elseif (isset($_SESSION['admin_syno_user'])) {
                    $replace_content .= "<div id=\"divAlbumTitle".$share_list[0]."\" class=\"album_title\" onClick=\"AlbumTitleChange(this);\"". 
                        "onMouseOver=\"this.style.background='#FFFFCC'\" onMouseOut=\"this.style.background='#FFFFFF'\">$photo_str_add_title</div>";
                }
                //album description
                
                if ($share_list[3] != "") {
                    if (isset($_SESSION['admin_syno_user'])) {
                        $replace_content .= "<div id=\"divAlbumDesc".$share_list[0]."\" class=\"album_desc\" onClick=\"AlbumDescriptionChange(this);\"".
                            "onMouseOver=\"this.style.background='#FFFFCC'\"".
                            "onMouseOut=\"this.style.background='#FFFFFF'\">".$share_list[3]."</div>";
                    } else {
                        $replace_content .= "<div class=\"album_desc\">".$share_list[3]."</div>";
                    }                    
                } elseif (isset($_SESSION['admin_syno_user'])) {
                    $replace_content .= "<div id=\"divAlbumDesc".$share_list[0]."\" class=\"album_desc\" onClick=\"AlbumDescriptionChange(this);\"".
                        "onMouseOver=\"this.style.background='#FFFFCC'\" onMouseOut=\"this.style.background='#FFFFFF'\">$photo_str_add_description</div>";
                }
                
                $replace_content .=            
                            "<div class=\"album_folder\">$albumname</div>
                            <div class=\"album_hit\">$photo_str_hits: ".$share_list[5]."</div>

					</td></table>";

                $num_album++;
                $counter++;
            }
        }
        if ($album_num == 0) {
			
            $noalbumimage = "<img src='$SYNO_PHOTO_NO_ALBUM_BG' border=0>";
            $admin_content_template = str_replace('{ADMIN_PUBLIC_ALBUMS}', $noalbumimage, $admin_content_template);
        }
        //load different description/instructions on the top of the page
        if ((isset($_SESSION['reg_syno_user'])) || (isset($_SESSION['admin_syno_user']))) {
            if ($album_num != 0) {
                //logged in
                $admin_content_template = str_replace('{LOGIN_LINK}', "<span class=\"homeMsg\">$photo_str_login_inst_logged_in</span>", $admin_content_template);
            } else {
                //logged in, but no album
                $admin_content_template = str_replace('{LOGIN_LINK}', "<span class=\"homeMsg\">$photo_str_login_inst_not_found</span>", $admin_content_template);
            }
        }
        else {
            if ($album_num != 0) {
                //public album
                $admin_content_template = str_replace('{LOGIN_LINK}', "<span class=\"homeMsg\">$photo_str_login_inst_public</span>", $admin_content_template);
            } else {
                //no public album
                $admin_content_template = str_replace('{LOGIN_LINK}', "<span class=\"homeMsg\">$photo_str_login_inst_no_public</span>", $admin_content_template);
            }
        }
        //login link
        $admin_content_template = str_replace('{%1}', "<a href='login.php'>".strtolower($photo_login)."</a>", $admin_content_template);

        //check if there are images in the photo folder
        $chk_pic = PhotoAlbumFirstPhotoGet($SYNO_PHOTO_CURR_DIR, 0);
        if (strlen(trim($chk_pic)) > 0) {
            $admin_content_template = str_replace('{DISPLAY_NOTE}', "<br><span class=\"homeMsg\"><font color='red'>(".str_replace("{%1}", $photo_str_ap_name, $photo_str_display_note).")</font></span>", $admin_content_template);
        }
        else {
            $admin_content_template = str_replace('{DISPLAY_NOTE}', '', $admin_content_template);
        }
        $admin_content_template = str_replace('{ADMIN_PUBLIC_ALBUMS}', $replace_content, $admin_content_template);

    }
    
    //list photo
    $gallery_template = SYNOPHOTOPrintTemplate($gallery_template, '{PHOTO_LIST}', $admin_content_template);	

    $companyname = SYNOPHOTOSystemInfoGet($SYNO_DEF_CNF_FILE, "company");
    $productname = SYNOPHOTOSystemInfoGet($SYNO_DEF_CNF_FILE, "product");
    $companylink = SYNOPHOTOSystemInfoGet($SYNO_DEF_CNF_FILE, "updateurl");
    $modelname = SYNOPHOTOSystemInfoGet($SYNO_DEF_CNF_FILE, "upnpmodelname");

    $gallery_template = SYNOPHOTOPrintTemplate($gallery_template, '{COMPANY_LINK}', $companylink);
    $gallery_template = SYNOPHOTOPrintTemplate($gallery_template, '{COMPANY}', ucfirst($companyname));
    $gallery_template = SYNOPHOTOPrintTemplate($gallery_template, '{PRODUCT_NAME}', $productname." ".$modelname);

    //to end
	$gallery_template = SYNOPHOTOPrintTemplate($gallery_template, '{TEMPLATE_END}', '');
?>